> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sarasfinance.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Process

> Retrieve detailed information about a specific business process.

### Query Parameters

<ParamField query="page" type="string" placeholder="1" required>
  Page number for the retrieval
</ParamField>

<ParamField query="perPageCount" type="string" placeholder="10" required>
  Count for each pages to hold
</ParamField>

<ParamField query="filters" type="json" placeholder="{}" required>
  JSON string of filters. Example:
  `{"subProjectId_id": "45d7cc15-7fb5-4e34-aa61-192bc4511aa5"}`
</ParamField>

### Response

<ResponseField name="meta" type="object">
  <Expandable title="properties">
    <ResponseField name="page" type="string">
      Current page number.
    </ResponseField>

    <ResponseField name="perPageCount" type="string">
      Number of items per page.
    </ResponseField>

    <ResponseField name="totalCount" type="string">
      Total number of processes matching the filters.
    </ResponseField>

    <ResponseField name="totalPages" type="string">
      Total number of pages available.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="processes" type="object[]">
  <Expandable title="process properties">
    <ResponseField name="id" type="string">
      Unique process identifier.
    </ResponseField>

    <ResponseField name="state" type="string">
      Current lifecycle state (e.g., 'INIT').
    </ResponseField>

    <ResponseField name="priority" type="string">
      Process priority (e.g., 'LOW', 'HIGH').
    </ResponseField>

    <ResponseField name="fields" type="object">
      Dynamic fields defined for the sub-project.
    </ResponseField>

    <ResponseField name="createdTs" type="string">
      ISO 8601 timestamp of creation.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash theme={null}
  curl --location --globoff '/v1/process/getProcess?page=1&perPageCount=60&filters={%22subProjectId_id%22%3A%20%2245d7cc15-7fb5-4e34-cb12-192bc4511aa5%22}' \
  --header 'Authorization: Bearer <<ACCESS_TOKEN>>'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
      "meta": {
          "page": "1",
          "perPageCount": "10",
          "totalCount": "1",
          "totalPages": "1"
      },
      "processes": [
          {
              "id": "ef341826-1cab-4680-aa52-efd001f9da00",
              "createdTs": "2026-04-15T19:52:25.401561Z",
              "state": "INIT",
              "priority": "LOW",
              "fields": {
                  "productName": "CORE - Custom LLM Deployment",
                  "productOwner": "Chandra Prakash"
              }
          }
      ]
  }
  ```
</ResponseExample>

### Error Codes

| Error                                      | ID   |
| :----------------------------------------- | :--- |
| `ERROR_PROCESS_META_IS_MISSING_IN_REQUEST` | 1200 |
| `ERROR_PROCESS_META_NOT_FOUND`             | 1201 |
| `ERROR_SUBPROCESS_META_NOT_FOUND`          | 1202 |
| `ERROR_RBAC_SETTINGS_MISSING`              | 1203 |
| `ERROR_RBAC_SETTINGS_MISSING_FOR_USER`     | 1204 |
| `ERROR_NOT_ALLOWED_TO_GET`                 | 1205 |
| `ERROR_NOT_ALLOWED_TO_CALL_METHOD`         | 1209 |
| `ERROR_NOT_ALLOWED_THROUGH_FILTERS`        | 1210 |
| `ERROR_PROCESS_ID_NOT_FOUND`               | 1221 |
| `ERROR_ACCESSING_AUDIT_LOGS`               | 1227 |
| `ERROR_PROCESS_UNKNOWN_FIELD_IN_REQUEST`   | 1230 |
| `ERROR_PROCESS_UNKNOWN_FIELD_IN_REQUEST`   | 1231 |
| `ERROR_PROCESS_INVALID_FIELD_VALUE`        | 1232 |
